Bug 17064 - Problems building gnorpm-0.9-15.src.rpm
Summary: Problems building gnorpm-0.9-15.src.rpm
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnorpm   
(Show other bugs)
Version: 6.1
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-29 02:21 UTC by Leo Milano
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-14 23:48:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leo Milano 2000-08-29 02:21:45 UTC
I try to build the package as I usually do, doing

rpm --rebuild gnorpm-0.9-15.src.rpm

But rpm exits with the following error: 

install.o: In function `updateDisp':
/usr/src/redhat/BUILD/gnorpm-0.9/install.c:65: undefined reference to
`fdOpen'
/usr/src/redhat/BUILD/gnorpm-0.9/install.c:74: undefined reference to
`fdClose'
install.o: In function `do_install':
/usr/src/redhat/BUILD/gnorpm-0.9/install.c:396: undefined reference to
`fdOpen'
/usr/src/redhat/BUILD/gnorpm-0.9/install.c:397: undefined reference to
`fdFileno'
/usr/src/redhat/BUILD/gnorpm-0.9/install.c:404: undefined reference to
`fdClose'
checksig.o: In function `check_sigs':
/usr/src/redhat/BUILD/gnorpm-0.9/checksig.c:102: undefined reference to
`fdOpen'
/usr/src/redhat/BUILD/gnorpm-0.9/checksig.c:103: undefined reference to
`fdFileno'
/usr/src/redhat/BUILD/gnorpm-0.9/checksig.c:139: undefined reference to
`fdClose'
/usr/src/redhat/BUILD/gnorpm-0.9/checksig.c:145: undefined reference to
`fdOpen'
/usr/src/redhat/BUILD/gnorpm-0.9/checksig.c:148: undefined reference to
`fdClose'
/usr/src/redhat/BUILD/gnorpm-0.9/checksig.c:149: undefined reference to
`fdClose'
/usr/src/redhat/BUILD/gnorpm-0.9/checksig.c:156: undefined reference to
`fdWrite'
/usr/src/redhat/BUILD/gnorpm-0.9/checksig.c:157: undefined reference to
`fdClose'
/usr/src/redhat/BUILD/gnorpm-0.9/checksig.c:158: undefined reference to
`fdClose'
/usr/src/redhat/BUILD/gnorpm-0.9/checksig.c:165: undefined reference to
`fdRead'
/usr/src/redhat/BUILD/gnorpm-0.9/checksig.c:166: undefined reference to
`fdClose'
/usr/src/redhat/BUILD/gnorpm-0.9/checksig.c:167: undefined reference to
`fdClose'
rpminstalldlg.o: In function `rpm_install_dialog_add_file':
/usr/src/redhat/BUILD/gnorpm-0.9/rpminstalldlg.c:614: undefined reference
to `fdOpen'
/usr/src/redhat/BUILD/gnorpm-0.9/rpminstalldlg.c:615: undefined reference
to `fdFileno'
/usr/src/redhat/BUILD/gnorpm-0.9/rpminstalldlg.c:631: undefined reference
to `fdClose'
/usr/src/redhat/BUILD/gnorpm-0.9/rpminstalldlg.c:634: undefined reference
to `fdClose'
rpminstalldlg.o: In function `refilter_cb':
/usr/src/redhat/BUILD/gnorpm-0.9/rpminstalldlg.c:680: undefined reference
to `fdOpen'
/usr/src/redhat/BUILD/gnorpm-0.9/rpminstalldlg.c:681: undefined reference
to `fdFileno'
/usr/src/redhat/BUILD/gnorpm-0.9/rpminstalldlg.c:684: undefined reference
to `fdClose'
/usr/src/redhat/BUILD/gnorpm-0.9/rpminstalldlg.c:687: undefined reference
to `fdClose'
rpminstalldlg.o: In function `info_frame_set':
/usr/src/redhat/BUILD/gnorpm-0.9/rpminstalldlg.c:1139: undefined reference
to `fdOpen'
/usr/src/redhat/BUILD/gnorpm-0.9/rpminstalldlg.c:1140: undefined reference
to `fdFileno'
/usr/src/redhat/BUILD/gnorpm-0.9/rpminstalldlg.c:1146: undefined reference
to `fdClose'
/usr/src/redhat/BUILD/gnorpm-0.9/rpminstalldlg.c:1149: undefined reference
to `fdClose'
rpmquery.o: In function `rpm_query_set_from_file':
/usr/src/redhat/BUILD/gnorpm-0.9/rpmquery.c:506: undefined reference to
`fdOpen'
/usr/src/redhat/BUILD/gnorpm-0.9/rpmquery.c:507: undefined reference to
`fdFileno'
/usr/src/redhat/BUILD/gnorpm-0.9/rpmquery.c:511: undefined reference to
`fdClose'
/usr/src/redhat/BUILD/gnorpm-0.9/rpmquery.c:527: undefined reference to
`fdClose'
collect2: ld returned 1 exit status
make[2]: *** [gnorpm] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/gnorpm-0.9'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/gnorpm-0.9'
make: *** [all-recursive-am] Error 2
Bad exit status from /var/tmp/rpm-tmp.45902 (%build)

Thanks a lot in advance,
-- Leo Milano

Comment 1 Alan Cox 2000-09-14 23:48:57 UTC
What build environment?


Comment 2 Alan Cox 2000-10-14 23:01:21 UTC
Closed.. a) no reply to build environment question b) 0.95.1-. is out and fixes
rather a lot of stuff so this problem is now obsoleted. If 0.95.1 won't build do
post another report however



Note You need to log in before you can comment on or make changes to this bug.